<!DOCTYPE html>
<html>
<head>
	<title></title>
</head>
<body>
<form action="functions.php" method="GET">
	<a href="#" id="teste">Nome</a>
	<form id="teste3">
		<div class="add">
		<input type="char" name="name[]">
		<input type="number" name="numero[]" placeholder="numero 1">
		<input type="number" name="numero[]" placeholder="numero 2">
		<input type="number" name="numero[]" placeholder="numero 3">
		</div>
		<input type="submit">
	</form>
</form>
</body>
</html>
<script type="text/javascript">
	$(document).on('click', '#teste', function(){
		$(".add").append("<input type='number' name='idade[]'>");	
	});
</script>